<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="syst_entitylog" pageWidth="595" pageHeight="842" columnWidth="549" leftMargin="36" rightMargin="10" topMargin="14" bottomMargin="14" uuid="aa6e16ac-2be2-4b73-962f-79ac8e58a661">
	<property name="ireport.scriptlethandling" value="0"/>
	<property name="ireport.encoding" value="UTF-8"/>
	<property name="ireport.zoom" value="2.0"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<import value="net.sf.jasperreports.engine.*"/>
	<import value="java.util.*"/>
	<import value="net.sf.jasperreports.engine.data.*"/>
	<parameter name="REPORT_INFORMATION" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Informationen zum Report]]></parameterDescription>
	</parameter>
	<parameter name="P_FILTER_KEY" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_FILTER_I_ID" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_DATENSATZ" class="java.lang.String" isForPrompting="false"/>
	<field name="Entity" class="java.lang.String"/>
	<field name="Operation" class="java.lang.String"/>
	<field name="Id" class="java.lang.String"/>
	<field name="Key" class="java.lang.String"/>
	<field name="Von" class="java.lang.String"/>
	<field name="Nach" class="java.lang.String"/>
	<field name="Locale" class="java.lang.String"/>
	<field name="Person" class="java.lang.String"/>
	<field name="Zeitpunkt" class="java.util.Date"/>
	<variable name="OldZeit" class="java.lang.String">
		<variableExpression><![CDATA[$V{ZeitString}]]></variableExpression>
	</variable>
	<variable name="ZeitString" class="java.lang.String">
		<variableExpression><![CDATA[(new SimpleDateFormat("dd.MM.yyyy HH:mm:ss", Locale.GERMAN)).format($F{Zeitpunkt})
]]></variableExpression>
	</variable>
	<variable name="Zebra" class="java.math.BigDecimal">
		<variableExpression><![CDATA[$V{OldZeit}==null || $V{OldZeit}.equals($V{ZeitString}) ?
$V{Zebra} :
$V{Zebra}.negate()]]></variableExpression>
		<initialValueExpression><![CDATA[new BigDecimal(1)]]></initialValueExpression>
	</variable>
	<group name="ID" keepTogether="true">
		<groupExpression><![CDATA[$F{Id}+$F{Operation}]]></groupExpression>
		<groupHeader>
			<band/>
		</groupHeader>
		<groupFooter>
			<band height="1">
				<line>
					<reportElement x="0" y="0" width="549" height="1" uuid="6c55b7df-7602-4eca-aa98-822203f41801"/>
					<graphicElement>
						<pen lineWidth="0.5"/>
					</graphicElement>
				</line>
			</band>
		</groupFooter>
	</group>
	<title>
		<band splitType="Stretch"/>
	</title>
	<pageHeader>
		<band height="80" splitType="Stretch">
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="REPORT_INFORMATION-1" mode="Opaque" x="0" y="0" width="470" height="8" forecolor="#000000" backcolor="#FFFFFF" uuid="59321534-d0a9-4dc6-b9a3-b502538b94a0"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="6" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{REPORT_INFORMATION}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="PAGE_NUMBER-1" mode="Opaque" x="312" y="0" width="215" height="8" forecolor="#000000" backcolor="#FFFFFF" uuid="73b2adca-7bf1-4da8-a5f7-652dbb1af6c8"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="6" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA["Seite " + String.valueOf($V{PAGE_NUMBER}) + " von "]]></textFieldExpression>
			</textField>
			<textField evaluationTime="Report" pattern="" isBlankWhenNull="false">
				<reportElement key="VON_PAGE_NUMBER-1" mode="Opaque" x="529" y="0" width="20" height="8" forecolor="#000000" backcolor="#FFFFFF" uuid="18a73f71-23f9-4a39-a381-bd568d6057d2"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="6" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[String.valueOf($V{PAGE_NUMBER})]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement mode="Transparent" x="50" y="30" width="340" height="13" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="610f3f66-90e8-4493-8296-c46e10304ba4"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_FILTER_KEY}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="CC" positionType="Float" mode="Transparent" x="50" y="43" width="340" height="13" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="4f27a8a1-a5d2-4bbb-8e83-e7f04b8f7104"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_DATENSATZ}]]></textFieldExpression>
			</textField>
			<line>
				<reportElement x="0" y="79" width="549" height="1" uuid="f6f2de19-5ece-480b-9973-6cb599aaa0d8"/>
			</line>
			<staticText>
				<reportElement x="0" y="30" width="50" height="13" uuid="10ddaf54-1e27-4c76-af6c-a0f0bd07997d"/>
				<textElement markup="none">
					<font fontName="Arial"/>
				</textElement>
				<text><![CDATA[Tabelle]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="43" width="50" height="13" uuid="7397c899-02c4-4ac5-a84a-904a59ff6aea"/>
				<textElement markup="none">
					<font fontName="Arial"/>
				</textElement>
				<text><![CDATA[Datensatz]]></text>
			</staticText>
			<textField>
				<reportElement x="0" y="8" width="168" height="22" uuid="b11db095-4f84-49b2-b978-3163330b5542"/>
				<textElement>
					<font fontName="Arial" size="14" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["Änderungen"]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="0" y="66" width="100" height="13" uuid="f1dd16e4-3611-4f6d-a72a-b5df85fc7910"/>
				<textElement verticalAlignment="Bottom">
					<font fontName="Arial"/>
				</textElement>
				<text><![CDATA[Entity]]></text>
			</staticText>
			<staticText>
				<reportElement x="100" y="66" width="40" height="13" uuid="ab737a6d-79a6-4e5a-ac92-91fee3e3543a"/>
				<textElement verticalAlignment="Bottom">
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[Operation]]></text>
			</staticText>
			<staticText>
				<reportElement x="140" y="66" width="30" height="13" uuid="907b6416-cef6-47a7-8a89-4b39b5edcdd7"/>
				<textElement verticalAlignment="Bottom">
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[ID]]></text>
			</staticText>
			<staticText>
				<reportElement x="170" y="66" width="80" height="13" uuid="51879992-0b1c-40a8-a2ac-2fad5dab9741"/>
				<textElement verticalAlignment="Bottom">
					<font fontName="Arial"/>
				</textElement>
				<text><![CDATA[Key]]></text>
			</staticText>
			<staticText>
				<reportElement x="250" y="66" width="100" height="13" uuid="86213127-1193-4da1-9e3c-da77f3e41835"/>
				<textElement verticalAlignment="Bottom">
					<font fontName="Arial"/>
				</textElement>
				<text><![CDATA[Von]]></text>
			</staticText>
			<staticText>
				<reportElement x="350" y="66" width="100" height="13" uuid="a3c84329-37fb-4f4f-962a-d55eece25d44"/>
				<textElement verticalAlignment="Bottom">
					<font fontName="Arial"/>
				</textElement>
				<text><![CDATA[Nach]]></text>
			</staticText>
			<staticText>
				<reportElement x="450" y="66" width="25" height="13" uuid="d2db7a07-a4d2-443b-b50f-685dff2f2b72"/>
				<textElement verticalAlignment="Bottom">
					<font fontName="Arial"/>
				</textElement>
				<text><![CDATA[Pers.]]></text>
			</staticText>
			<staticText>
				<reportElement x="475" y="66" width="75" height="13" uuid="e9afa43f-6031-4159-903a-50e3fc45c12b"/>
				<textElement verticalAlignment="Bottom">
					<font fontName="Arial"/>
				</textElement>
				<text><![CDATA[Zeit]]></text>
			</staticText>
		</band>
	</pageHeader>
	<detail>
		<band height="10" splitType="Stretch">
			<printWhenExpression><![CDATA[$F{Operation}.startsWith("DELETE") ||
$F{Von}.compareTo( $F{Nach} ) != 0]]></printWhenExpression>
			<rectangle>
				<reportElement key="rectangle-1" stretchType="RelativeToBandHeight" mode="Opaque" x="0" y="0" width="549" height="10" forecolor="#EEEEEE" backcolor="#EEEEEE" uuid="3769f328-8c4a-44d6-ac40-ae09b309b518">
					<printWhenExpression><![CDATA[$V{Zebra}.intValue() == 1]]></printWhenExpression>
				</reportElement>
			</rectangle>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement mode="Transparent" x="0" y="0" width="100" height="10" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="92b20f1f-a7e6-4773-bebb-e8d7b0fc6547"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Entity}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement mode="Transparent" x="100" y="0" width="40" height="10" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="42e04ec0-4a3d-4eeb-8231-691da03b65d7"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Operation}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="false">
				<reportElement mode="Transparent" x="140" y="0" width="30" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="088d745b-e08e-4724-91b4-ebcd4ff48766">
					<printWhenExpression><![CDATA[$V{ID_COUNT}.intValue() == 1]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Id}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement mode="Transparent" x="170" y="0" width="80" height="10" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="01ed63fd-b3af-4dbc-99eb-83eedadc749d"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Key}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement mode="Transparent" x="250" y="0" width="100" height="10" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="bab17d1f-22eb-4152-a90d-03f2e66f67c2"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Von}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement mode="Transparent" x="350" y="0" width="100" height="10" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="f05d38cd-2c89-4713-aa01-b22ff22556d2"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Nach}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement mode="Transparent" x="450" y="0" width="25" height="10" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="51b97658-42d5-4a07-aeef-13105f739c80"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Person}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="dd.MM.yyyy HH:mm:ss" isBlankWhenNull="false">
				<reportElement isPrintRepeatedValues="false" mode="Transparent" x="475" y="0" width="75" height="10" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="9efe9de4-b27e-4ca4-85df-e4844df62c00"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Zeitpunkt}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="Info bei Delete" mode="Transparent" x="170" y="0" width="280" height="10" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="f6d9256e-d28a-48ca-94e7-24f61765a8f1">
					<printWhenExpression><![CDATA[$F{Operation}.startsWith("DELETE")]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA["Werte davor (=früher) siehe ID mit Insert bzw. Update"]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<pageFooter>
		<band splitType="Stretch"/>
	</pageFooter>
</jasperReport>
